import Message from "./Message.js";

class FileMessage extends Message {
    constructor(peerName, peerAvatar, topic, timestamp, fileName, fileUrl, fileType) {
        super("file", peerName, peerAvatar, topic, timestamp);
        this.fileName = fileName;
        this.fileUrl = fileUrl;
        this.fileType = fileType;
    }

    toJsonString() {
        return JSON.stringify({
            ...this.toJson(),
            fileName: this.fileName,
            fileUrl: this.fileUrl,
            fileType: this.fileType
        });
    }

    static new(bot, fileName, fileUrl, fileType) {
        return new FileMessage(bot.botName, bot.botAvatar, bot.currentTopic, Date.now(), fileName, fileUrl, fileType);
    }
}

export default FileMessage;
